import { Json, TfDiff, TxtFile, JsonFile, TerraformParser } from '@tinystacks/precloud';
declare class TinyStacksTerraformResourceParser extends TerraformParser {
    tfFilesCache: any;
    resourceParsers: {
        [tfType: string]: (diff: TfDiff, tfPlan: Json, tfFiles: TxtFile[], tfJson: JsonFile[]) => Json;
    };
    constructor();
    getTfFiles(): TxtFile[];
    getTfJson(tfFiles: TxtFile[]): Promise<JsonFile[]>;
    writeToTmpFile(tfJson: Json): void;
    parseResource(diff: TfDiff, tfPlan: Json): Promise<Json | undefined>;
}
export { TinyStacksTerraformResourceParser };
export default TinyStacksTerraformResourceParser;
